Create a custom pricing rule in a workspace
curl --request POST \
--url https://api.pelanor.io/v2/workspaces/{workspaceId}/pricing-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"isActive": true,
"filters": [
{
"propertyId": "<string>",
"values": [
"<string>"
],
"operator": "EQUALS"
}
],
"adjustmentMethod": "ACTUAL",
"value": 123,
"timeRange": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.pelanor.io/v2/workspaces/{workspaceId}/pricing-rules"
payload = {
"name": "<string>",
"isActive": True,
"filters": [
{
"propertyId": "<string>",
"values": ["<string>"],
"operator": "EQUALS"
}
],
"adjustmentMethod": "ACTUAL",
"value": 123,
"timeRange": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
isActive: true,
filters: [{propertyId: '<string>', values: ['<string>'], operator: 'EQUALS'}],
adjustmentMethod: 'ACTUAL',
value: 123,
timeRange: {start: '2023-11-07T05:31:56Z', end: '2023-11-07T05:31:56Z'}
})
};
fetch('https://api.pelanor.io/v2/workspaces/{workspaceId}/pricing-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Pricing Rules
Create Pricing Rule
POST
/
v2
/
workspaces
/
{workspaceId}
/
pricing-rules
Create a custom pricing rule in a workspace
Use the List Attributes endpoint to get available properties and their IDs.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
A successful response.
The response is of type object.
⌘I